<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-hajat-heading">Create or edit a Hajat</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_pengantinPria">Pengantin Pria</label>
                    <input type="text" class="form-control" name="pengantinPria" id="field_pengantinPria"
                           formControlName="pengantinPria"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_imagePria">Image Pria</label>
                    <input type="text" class="form-control" name="imagePria" id="field_imagePria"
                           formControlName="imagePria"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_imageWanita">Image Wanita</label>
                    <input type="text" class="form-control" name="imageWanita" id="field_imageWanita"
                           formControlName="imageWanita"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_pengantinWanita">Pengantin Wanita</label>
                    <input type="text" class="form-control" name="pengantinWanita" id="field_pengantinWanita"
                           formControlName="pengantinWanita"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_waliPria">Wali Pria</label>
                    <input type="text" class="form-control" name="waliPria" id="field_waliPria"
                           formControlName="waliPria"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_waliWanita">Wali Wanita</label>
                    <input type="text" class="form-control" name="waliWanita" id="field_waliWanita"
                           formControlName="waliWanita"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_tglAkad">Tgl Akad</label>
                    <input type="text" class="form-control" name="tglAkad" id="field_tglAkad"
                           formControlName="tglAkad"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_hariAkad">Hari Akad</label>
                    <input type="text" class="form-control" name="hariAkad" id="field_hariAkad"
                           formControlName="hariAkad"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_jamAkad">Jam Akad</label>
                    <input type="text" class="form-control" name="jamAkad" id="field_jamAkad"
                           formControlName="jamAkad"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_lokasiAkad">Lokasi Akad</label>
                    <input type="text" class="form-control" name="lokasiAkad" id="field_lokasiAkad"
                           formControlName="lokasiAkad"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_lokasiAkadMap">Lokasi Akad Map</label>
                    <input type="text" class="form-control" name="lokasiAkadMap" id="field_lokasiAkadMap"
                           formControlName="lokasiAkadMap"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_tglResepsi">Tgl Resepsi</label>
                    <input type="text" class="form-control" name="tglResepsi" id="field_tglResepsi"
                           formControlName="tglResepsi"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_hariResepsi">Hari Resepsi</label>
                    <input type="text" class="form-control" name="hariResepsi" id="field_hariResepsi"
                           formControlName="hariResepsi"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_jamMulaiResepsi">Jam Mulai Resepsi</label>
                    <input type="text" class="form-control" name="jamMulaiResepsi" id="field_jamMulaiResepsi"
                           formControlName="jamMulaiResepsi"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_jamSelesai">Jam Selesai</label>
                    <input type="text" class="form-control" name="jamSelesai" id="field_jamSelesai"
                           formControlName="jamSelesai"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_lokasiResepsi">Lokasi Resepsi</label>
                    <input type="text" class="form-control" name="lokasiResepsi" id="field_lokasiResepsi"
                           formControlName="lokasiResepsi"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_lokasiResepsiMap">Lokasi Resepsi Map</label>
                    <input type="text" class="form-control" name="lokasiResepsiMap" id="field_lokasiResepsiMap"
                           formControlName="lokasiResepsiMap"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_catatan">Catatan</label>
                    <input type="text" class="form-control" name="catatan" id="field_catatan"
                           formControlName="catatan"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_image1">Image 1</label>
                    <input type="text" class="form-control" name="image1" id="field_image1"
                           formControlName="image1"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_image2">Image 2</label>
                    <input type="text" class="form-control" name="image2" id="field_image2"
                           formControlName="image2"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_image3">Image 3</label>
                    <input type="text" class="form-control" name="image3" id="field_image3"
                           formControlName="image3"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_image4">Image 4</label>
                    <input type="text" class="form-control" name="image4" id="field_image4"
                           formControlName="image4"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_image5">Image 5</label>
                    <input type="text" class="form-control" name="image5" id="field_image5"
                           formControlName="image5"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_image6">Image 6</label>
                    <input type="text" class="form-control" name="image6" id="field_image6"
                           formControlName="image6"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_image7">Image 7</label>
                    <input type="text" class="form-control" name="image7" id="field_image7"
                           formControlName="image7"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_image8">Image 8</label>
                    <input type="text" class="form-control" name="image8" id="field_image8"
                           formControlName="image8"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_image9">Image 9</label>
                    <input type="text" class="form-control" name="image9" id="field_image9"
                           formControlName="image9"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_image10">Image 10</label>
                    <input type="text" class="form-control" name="image10" id="field_image10"
                           formControlName="image10"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_history1">History 1</label>
                    <input type="text" class="form-control" name="history1" id="field_history1"
                           formControlName="history1"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_history2">History 2</label>
                    <input type="text" class="form-control" name="history2" id="field_history2"
                           formControlName="history2"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_history3">History 3</label>
                    <input type="text" class="form-control" name="history3" id="field_history3"
                           formControlName="history3"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_hstory4">Hstory 4</label>
                    <input type="text" class="form-control" name="hstory4" id="field_hstory4"
                           formControlName="hstory4"/>
                </div>

            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
